<div id="role">
  <div class="columns settings-header">
    <div class="column col-4">
      <span class="header-main">Employees Roles</span>      
    </div>
    <div class="column col-8">
      <div class="float-right">
        <button class="btn role-btn role-edit t_btn" v-on:click="open_edit_role_modal" >Edit</button>
        <button class="btn role-btn t_btn" v-on:click="open_add_role_modal">Add Role</button>
         <Role v-if="display_add_role_modal || display_edit_role_modal" @close-modal="toggleModal" :display_add="display_add" :display_edit="display_edit"></Role>                
      </div>
    </div>
  </div>
	<div class="columns">
		<div class="column col-4">
			<div class="badge " data-badge="2">Role</div>			
       <%# <select name="roles" class="form-select" id="selector">
        <option value="Employee">Employee</option>      
        <option value="Employee">HR</option>   
      </select>  %>
      <select v-model="role" @change="onChange(role)" >
        <option v-for="role in user_roles" :value="role" :key="role.id">{{role.name}}</option>
      </select>
		</div>  
  </div>
	<div class="columns accordion-pane">
		<div class="column col-12">
			<div class="accordion">
				<input type="checkbox" id="accordion-1" name="accordion-checkbox" hidden>
				<label class="accordion-header" for="accordion-1">
					<i class="icon icon-arrow-right mr-1"></i>
					<span class="employee_role_text"><b>Employees</b></span>
				</label>
				<div class="accordion-body ac_body">
        <!-- Accordions content -->          
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label permissions_text">Permissions</div>            
          </div>
					<div class="columns show_div3">
            <div class="column col-5 show_label">Add Employee</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="Add Account" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">Bulk Upload Employee</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">View Details</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">Edit Details</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">Add Account</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label"> Edit Account</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">View Employee Package</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>    
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label"> Submit Package</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">Add Earnings</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">View Earnings</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">Delete Earnings</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>  
           <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label"> View Deductions</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">Add Deductions</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">Delete Deductions</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>            
				</div>
			</div>	
			<div class="accordion">
				<input type="checkbox" id="accordion-2" name="accordion-checkbox" hidden>
				<label class="accordion-header" for="accordion-2">
          <i class="icon icon-arrow-right mr-1"></i>
					<span class="employee_role_text"><b>Payroll</b></span>
				</label>
				<div class="accordion-body ac_body">
					<!-- Accordions content -->	
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label permissions_text">Permissions</div>            
          </div>
					<div class="columns show_div3">
            <div class="column col-5 show_label">Run Payroll</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">Upload Pay Register</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">View Payslip</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">Download Payslip</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value=""v-model="checkedPermissions"></div>
          </div>	
          <div class="columns show_div3">
            <div class="column col-5 show_label">Print Payslip</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>				
				</div>
			</div>
      <div class="accordion">
				<input type="checkbox" id="accordion-3" name="accordion-checkbox" hidden>
				<label class="accordion-header" for="accordion-3">
          <i class="icon icon-arrow-right mr-1"></i>
					<span class="employee_role_text"><b>Approvals</b></span>
				</label>
				<div class="accordion-body ac_body">
					<!-- Accordions content -->				
				</div>
			</div>
      <div class="accordion">
				<input type="checkbox" id="accordion-4" name="accordion-checkbox" hidden>
				<label class="accordion-header" for="accordion-4">
          <i class="icon icon-arrow-right mr-1"></i>
					<span class="employee_role_text"><b>Tasks</b></span>
				</label>
				<div class="accordion-body ac_body">
					<!-- Accordions content -->					
				</div>
			</div>
      <div class="accordion">
				<input type="checkbox" id="accordion-5" name="accordion-checkbox" hidden>
				<label class="accordion-header" for="accordion-5">
          <i class="icon icon-arrow-right mr-1"></i>
					<span class="employee_role_text"><b>Settings</b></span>
				</label>
				<div class="accordion-body ac_body">
					<!-- Accordions content -->	
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label permissions_text">Permissions</div>            
          </div>
					<div class="columns show_div3">
            <div class="column col-5 show_label">Create Package Template</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">View Package Template</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value=""v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
          <div class="column col-5 show_label"> Edit Package Template</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label">Delete Package Template</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">View Roles</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3 grey_div">
            <div class="column col-5 show_label"> Edit Role Permission</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>
          <div class="columns show_div3">
            <div class="column col-5 show_label">Create Role</div>
            <div class="column col-4 show_field"><input type="checkbox" name="" value="" v-model="checkedPermissions"></div>
          </div>         				
				</div>
			</div>

		</div>  
  </div>
</div>